summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-analyzer/hostmap')
-rw-r--r--net-analyzer/hostmap/ChangeLog8
-rw-r--r--net-analyzer/hostmap/Manifest4
-rw-r--r--net-analyzer/hostmap/hostmap-0.2.2.ebuild30
-rw-r--r--net-analyzer/hostmap/metadata.xml6
4 files changed, 48 insertions, 0 deletions
diff --git a/net-analyzer/hostmap/ChangeLog b/net-analyzer/hostmap/ChangeLog
new file mode 100644
index 000000000..01f7e360d
--- /dev/null
+++ b/net-analyzer/hostmap/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for net-analyzer/hostmap
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 03 Aug 2010; Dane Smith (c1pher) <smithdanea@gmail.com>
+ +hostmap-0.2.2.ebuild, +metadata.xml:
+ New ebuild for hostmap. Bug 329589.
+
diff --git a/net-analyzer/hostmap/Manifest b/net-analyzer/hostmap/Manifest
new file mode 100644
index 000000000..81e9a5a30
--- /dev/null
+++ b/net-analyzer/hostmap/Manifest
@@ -0,0 +1,4 @@
+DIST hostmap-0.2.2.tgz 416653 RMD160 df8c182ed3119b59066418b60fba5db6651d446c SHA1 8802297c338f6ca93b3a767765ae66cdf2c5d319 SHA256 90d8416b6b3fdb84dd7dab4bd08fca3a567c1011d60c71db5376afb35f072b1d
+EBUILD hostmap-0.2.2.ebuild 749 RMD160 caac35f635c169e72e71b474c654ca9fa790b5ec SHA1 ffd63f28611b17bc3d43e5f6910e5c9c9f568af1 SHA256 e0d01653a5a075e4cbab52ae3cb41d60cddcf786f16ba2e3fc8a176cf4d3f6c3
+MISC ChangeLog 258 RMD160 8fdff9176a98ac6568077f4bc7b7b49c09534598 SHA1 62aa5183a99e505b1e259c2083351938e0da1b79 SHA256 649092ad427fbf144b8a6df6669fd2c498980fd99dfc8c4b69d562f55463b97b
+MISC metadata.xml 229 RMD160 f0f6417bec31ce8baba6d476664f7210c8c84c98 SHA1 e5f94f5caadc6f843fc90bb7959570cd503676fd SHA256 3b08fca3c878bdfc4e7639f477dd542d55a4ab5dce39a475e82633071d13eb3f
diff --git a/net-analyzer/hostmap/hostmap-0.2.2.ebuild b/net-analyzer/hostmap/hostmap-0.2.2.ebuild
new file mode 100644
index 000000000..4edecd575
--- /dev/null
+++ b/net-analyzer/hostmap/hostmap-0.2.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+USE_RUBY="ruby18"
+
+RUBY_FAKEGEM_EXTRAINSTALL="hostmap.conf discovery dictionaries extra"
+RUBY_FAKEGEM_BINWRAP="hostmap"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="doc/Changelog.txt doc/README.pdf doc/THANKS.txt"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Automatic hostname and virtual hosts discovery tool written in Ruby"
+HOMEPAGE="http://hostmap.lonerunners.net/"
+SRC_URI="http://update.lonerunners.net/software/download/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/net-dns
+ dev-ruby/plugman"
+
+all_ruby_prepare() {
+ mkdir bin || die
+ mv hostmap.rb bin/hostmap || die
+}
diff --git a/net-analyzer/hostmap/metadata.xml b/net-analyzer/hostmap/metadata.xml
new file mode 100644
index 000000000..e6233b5dc
--- /dev/null
+++ b/net-analyzer/hostmap/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer><email>maintainer-wanted@gentoo.org</email></maintainer>
+</pkgmetadata>